summaryrefslogtreecommitdiff
path: root/qa/062
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/062
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/062')
-rwxr-xr-xqa/06242
1 files changed, 42 insertions, 0 deletions
diff --git a/qa/062 b/qa/062
new file mode 100755
index 0000000..9852c8a
--- /dev/null
+++ b/qa/062
@@ -0,0 +1,42 @@
+#!/bin/sh
+# PCP QA Test No. 062
+# Test pmcd's ability to suppress multiple access control warnings
+# from the same host
+#
+# Copyright (c) 2012-2013 Red Hat.
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+_get_libpcp_config
+if [ "$ipv6" = "true" ]; then
+ ln $seq.out.ipv6 $seq.out || exit 1
+else
+ ln $seq.out.nonipv6 $seq.out || exit 1
+fi
+
+src/fixhosts
+
+# real QA test starts here
+
+echo "testing single op for all ops..."
+echo "may dump core for IRIX 6.1 ... bug in gethostbyname()"
+src/chkacc1
+echo
+
+echo "testing all except one op for all ops..."
+echo "may dump core for IRIX 6.1 ... bug in gethostbyname()"
+src/chkacc2
+echo
+
+echo "testing all combinations of ops in a range..."
+echo "may dump core for IRIX 6.1 ... bug in gethostbyname()"
+src/chkacc3